summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Black Rider2011-10-19 02:56:10 +0200
committer Niels Horn2011-10-19 02:56:10 +0200
commitc33afb7fdf29da771d8127edfb979251f2dd8527 (patch)
tree7096f1d32bd3e983ddbf8ec283bb8dcba523743f
parenta216d80fb50c4de4ddd35282a8972c0353313423 (diff)
downloadslackbuilds-c33afb7fdf29da771d8127edfb979251f2dd8527.tar.gz
games/hedgewars: Added (a free turn based strategy game)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--games/hedgewars/README14
-rw-r--r--games/hedgewars/hedgewars.SlackBuild97
-rw-r--r--games/hedgewars/hedgewars.info10
-rw-r--r--games/hedgewars/slack-desc12
4 files changed, 133 insertions, 0 deletions
diff --git a/games/hedgewars/README b/games/hedgewars/README
new file mode 100644
index 0000000000..c545d7a1fc
--- /dev/null
+++ b/games/hedgewars/README
@@ -0,0 +1,14 @@
+Hedgewars is a turn based strategy game.
+
+Each player controls a team of several hedgehogs. During the course
+of the game, players take turns with one of their hedgehogs. They
+then use whatever tools and weapons are available to attack and kill
+the opponents' hedgehogs, thereby winning the game. Each turn is
+time-limited to ensure that players do not hold up the game with
+excessive thinking or moving.
+
+This requires lua and fpc.
+
+This SlackBuild packages only the game itself. If you want to compile
+the server, you will need to provide additional dependencies.
+Please, refer to the documentation in the source tarball.
diff --git a/games/hedgewars/hedgewars.SlackBuild b/games/hedgewars/hedgewars.SlackBuild
new file mode 100644
index 0000000000..5145736e46
--- /dev/null
+++ b/games/hedgewars/hedgewars.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# SlackBuild script for Hedgewars.
+
+# This script is of public domain. It can be distributed, modified and used as desired.
+
+# Black Rider [black_rider@esdebian.org]
+
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hedgewars
+VERSION=${VERSION:-0.9.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-src-$VERSION
+tar xvjf $CWD/$PRGNAM-src-$VERSION.tar.bz2
+cd $PRGNAM-src-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+# Include the man page.
+mkdir -p $PKG/usr/man/man6
+cp $TMP/$PRGNAM-src-$VERSION/man/hedgewars.6 $PKG/usr/man/man6
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL CREDITS README Fonts_LICENSE.txt ChangeLog.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/hedgewars/hedgewars.info b/games/hedgewars/hedgewars.info
new file mode 100644
index 0000000000..2b6031b3f8
--- /dev/null
+++ b/games/hedgewars/hedgewars.info
@@ -0,0 +1,10 @@
+PRGNAM="hedgewars"
+VERSION="0.9.16"
+HOMEPAGE="http://www.hedgewars.org"
+DOWNLOAD="http://download.gna.org/hedgewars/hedgewars-src-0.9.16.tar.bz2"
+MD5SUM="04f28f454e370a101cbf0d82c6d39bce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Black Rider"
+EMAIL="black_rider@esdebian.org"
+APPROVED="Niels Horn"
diff --git a/games/hedgewars/slack-desc b/games/hedgewars/slack-desc
new file mode 100644
index 0000000000..f7a8fcd882
--- /dev/null
+++ b/games/hedgewars/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+hedgewars: hedgewars (a free turn based strategy game)
+hedgewars:
+hedgewars: Each player controls a team of several hedgehogs. During the course
+hedgewars: of the game, players take turns with one of their hedgehogs. They
+hedgewars: then use whatever tools and weapons are available to attack and kill
+hedgewars: the opponents' hedgehogs, thereby winning the game. Each turn is
+hedgewars: time-limited to ensure that players do not hold up the game with
+hedgewars: excessive thinking or moving.
+hedgewars:
+hedgewars: Homepage: www.hedgewars.org
+hedgewars: